Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Не знаете как установить драйвер? Возникли проблемы? Вам сюда!
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот
В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 8005
Зарегистрирован: 27 авг 2016, 19:57
Решено: 172
Откуда: НН
Благодарил (а): 537 раз
Поблагодарили: 2156 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 20 фев 2018, 10:41

Alexey, Да, карточка еще попадает под этот драйвер.
А ядро просто стоит привести к виду одного из поддерживаемых, перед началом.

Также почитай саму тему в разрезе плюсов и минусов этой дровины - возможно больше по душе придется вариант с amdgpu
Изображение
   
Изображение


Alexey
Сообщения: 4
Зарегистрирован: 20 фев 2018, 09:19

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Alexey » 20 фев 2018, 10:52

Спасибо, буду разбрататься, надеюсь на вашу помощь при возникновении проблем))


Alexey
Сообщения: 4
Зарегистрирован: 20 фев 2018, 09:19

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Alexey » 21 фев 2018, 07:15

Chocobo, запутался я, по вашей ссылке ветка открывается сразу с середины что-ли. Не понял где смотреть инструкцию по установке amdgpu... У Fantastic, как я понял такая же карта, как и у меня, но с чего он начинал установку? Прошу по поподробнее, если можно, спасибо!

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 8005
Зарегистрирован: 27 авг 2016, 19:57
Решено: 172
Откуда: НН
Благодарил (а): 537 раз
Поблагодарили: 2156 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 21 фев 2018, 07:40

Fantastic, Из этой темы началось обсуждение Fantastic, c #296 и все что после #301 к каталисту уже не относилось, и я вынес в отдельную ветку по amdgpu.
Alexey писал(а):
21 фев 2018, 07:15
но с чего он начинал установку?
А свободный драйвер уже есть в ядрах 4.9+, устанавливать ничего не нужно. остается на него переключиться, как описано в той теме)
Изображение
   
Изображение


thirteenth
Сообщения: 1
Зарегистрирован: 02 мар 2018, 23:40

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение thirteenth » 02 мар 2018, 23:59

Спасибо за инструкцию.
Установил linux mint 18.3, решил поставить дрова на:

Код: Выделить всё

~ $ lspci -k | grep -EA2 'VGA|3D'
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Pitcairn PRO [Radeon HD 7850 / R7 265 / R9 270 1024SP]
	Subsystem: Micro-Star International Co., Ltd. [MSI] Pitcairn PRO [Radeon HD 7850 / R7 265 / R9 270 1024SP]
	Kernel driver in use: fglrx_pci
Описания установки для ядра 4.10-38.42 не было, но было для ядра 4.14. Поэтому я установил 4.14, последнее, а именно: 4.14.23. Дальше следовал инструкции, но не заметил что установка скачанных deb пакетов прошла с ошибками:

Код: Выделить всё

ERROR (dkms apport): kernel package linux-headers-4.14.23-041423-generic is not supported
Error! Bad return status for module build on kernel: 4.14.23-041423-generic (amd64)
Consult /var/lib/dkms/fglrx-core/15.302/build/make.log for more information.
update-initramfs: deferring update (trigger activated)
Настраивается пакет fglrx-dev (2:15.302-0ubuntu1) …
Настраивается пакет libelf1:amd64 (0.170-0.2) …
dpkg: зависимости пакетов не позволяют настроить пакет libelf1:i386:
 libelf1:i386 зависит от libc6 (>= 2.4).
 libelf1:i386 зависит от zlib1g (>= 1:1.1.4).

dpkg: ошибка при обработке пакета libelf1:i386 (--install):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет libelf-dev:amd64:
 libelf-dev:amd64 зависит от zlib1g-dev, однако:
  Пакет zlib1g-dev не установлен.

dpkg: ошибка при обработке пакета libelf-dev:amd64 (--install):
 проблемы зависимостей — оставляем не настроенным[/icode]

После перезагрузки иксы работали, но VLC нет. glxgears тоже не работали.
Здесь я заметил ошибки. И подумал что инструкция была не для ядра 4.14.23. Поэтому установил:
[icode]~ $ uname -r
4.14.0-041400-generic
И дальше по инструкции заново.

После перезагрузки в 4.14.0, шестеренки glxgears работали, но в VLC был только звук, видео не было. Помогло отключение оверлея в настройках.
Надеюсь что все же правильно установил драйвера, и больше сюрпризов не будет.
Последний раз редактировалось пользователем 1 darkfenix; всего редактировалось раз: 3
Причина: BBcode


sputnik80
Сообщения: 116
Зарегистрирован: 31 авг 2016, 17:02
Благодарил (а): 8 раз
Поблагодарили: 1 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение sputnik80 » 04 мар 2018, 07:07

Всем добрый день!Кто-нибудь подскажите пожалуйста.Я поставил минт циннамон 18.3 проц.AMD a4 Radeon R3,но как то мне показалось что с пропиретарным драйвером он тормозил сильно.Устанавливал по инструкции на сайте.Потом снёс его и перешёл на свободный но всё равно как-то не так работает-например настройка яркости всё время сбивается?


imv9
Сообщения: 27
Зарегистрирован: 18 июл 2017, 18:11
Решено: 3
Благодарил (а): 19 раз
Поблагодарили: 1 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение imv9 » 09 мар 2018, 14:42

Chocobo,
Привет, поставил Linux Mint 18.3 XFCE, накатил драйвер по инструкции из шапки. Через вывод в терминале вижу, все встало нормально и FPS повысился. В менеджере драйверов галка стоит на против fglrx, но закавыка в том, что в меню программ нет AMD Catalyst Control Center! Через терминал не могу запустить, не знаю команду, подскажите пожалуйста как запустить?

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 8005
Зарегистрирован: 27 авг 2016, 19:57
Решено: 172
Откуда: НН
Благодарил (а): 537 раз
Поблагодарили: 2156 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 09 мар 2018, 15:46

imv9, /usr/bin/amdcccle он устанавливается обычно.
Изображение
   
Изображение


Ampolyros
Сообщения: 4
Зарегистрирован: 10 мар 2018, 22:41
Благодарил (а): 1 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Ampolyros » 10 мар 2018, 23:15

Всем доброго вечера!
У меня же он не очень добрый.
Имеется нетпук HP pavilion dm1-4035sr
Cpu AMD E-450
GPU Radeon HD6032m
Имею стойкое желание дружить с минтой, но видяха никак не хочет скушать дрова.
Накатил LinuxMint 18.3 Cinnamon, ядро 4.13. Всё, чего добился - чёрный экран. А всего-то надо помимо работы в браузере и либре, посмотреть HD (FullHD) фильмы и раздавать их через HDMI, да поиграть в NeverwinterNights, HoMM5 и Civilization5.
Проштудировал всю тему и пришел к выводу, что лучше ставить 17.3. Посему имею конкретные вопросы.
1. На 17.3 корице дрова можно поставить из менеджера без танцев с бубном?
2. Сколько еще будет длиться поддержка 17.3?
3. На сколько сильно видима разница 17.3 по сравнению с 18.3? Стоит ли дальше играться с ядрами и пр. если существует риск того, что при очередном автоматическом обновлении убьются дрова?
Сама машина у меня для постоянной работы, посему в первую очередь нужна стабильность и защита от лоха (меня), а потом Neverwinter))
Спасибо за помощь и огромных вам успехов!!


sputnik80
Сообщения: 116
Зарегистрирован: 31 авг 2016, 17:02
Благодарил (а): 8 раз
Поблагодарили: 1 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение sputnik80 » 11 мар 2018, 04:31

Всем доброе утро!Не подскажете почему когда мне удалось всё таки установить AMD Catalyst(fglrx) то у меня всё стало ужасно тормозить,вся оболочка циннамон,а cario-dock вообще почти не работал

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 8005
Зарегистрирован: 27 авг 2016, 19:57
Решено: 172
Откуда: НН
Благодарил (а): 537 раз
Поблагодарили: 2156 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 11 мар 2018, 06:21

Ampolyros,
1. Да, там это делается в два клика
2. Еще год с лишним будет поддерживаться ветка trusty
3.
Ampolyros писал(а):
10 мар 2018, 23:15
На сколько сильно видима разница 17.3 по сравнению с 18.3?
Твой ноут ровесник еще 13-го минта, который правда уже сняли с поддержки. Поэтому ничего страшного в том, чтоб накатить туда не последний релиз дистрибутива а 17.3, кардинальных различий в интерфейсе не будет, в корице разве что сетка рабочего стола была раньше своеобразной :)
Ampolyros писал(а):
10 мар 2018, 23:15
Стоит ли дальше играться с ядрами и пр. если существует риск того, что при очередном автоматическом обновлении убьются дрова?
А вот ядро у тебя само обновиьтся сможет только при твоем явном указании. Даже при обновлении версии дистрибутива - версия ядра остается исходной. Данный риск невелик.


sputnik80, без логов и листингов, неоднократно мелькающих в данной теме при поиске всевозможных проблем - остается только догадываться.
Изображение
   
Изображение


Ampolyros
Сообщения: 4
Зарегистрирован: 10 мар 2018, 22:41
Благодарил (а): 1 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Ampolyros » 11 мар 2018, 07:21

Chocobo,
Спасибо огромное за ответ!
Пожалуй попробую еще раз накатить дрова, но уже на 18.3 Мате (хотя и не вижу принципиальной разницы с корицей). Если опять черный экран, то уже поставлю на нетпук тётю Розу с корицей и не буду париться.

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 8005
Зарегистрирован: 27 авг 2016, 19:57
Решено: 172
Откуда: НН
Благодарил (а): 537 раз
Поблагодарили: 2156 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 11 мар 2018, 07:27

Ampolyros, на 4.13 не пробуй только :smile:
Изображение
   
Изображение


Ampolyros
Сообщения: 4
Зарегистрирован: 10 мар 2018, 22:41
Благодарил (а): 1 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Ampolyros » 11 мар 2018, 07:47

Работа по допиливанию дров будет продолжаться и для Тары, выход которой запланирован на май\июнь 2018 года?

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 8005
Зарегистрирован: 27 авг 2016, 19:57
Решено: 172
Откуда: НН
Благодарил (а): 537 раз
Поблагодарили: 2156 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 11 мар 2018, 07:53

Ampolyros, Не факт.
Туда будет проблемней вкорячить старые иксы, плюс разброс по версиям софта и библиотек в дальнейшем вряд ли положительно скажется, дополнив список известных проблем и конфликтов.
Поддержка скорей всего останется в рамках 18.X, благо саппортится будет еще три года, будет время сменить железку
(скоро проверю билд под 4.15, тут помню спрашивали со дня релиза ядра :smile: )
Изображение
   
Изображение


Ampolyros
Сообщения: 4
Зарегистрирован: 10 мар 2018, 22:41
Благодарил (а): 1 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Ampolyros » 11 мар 2018, 15:59

Таки поставил на нетбук минту 17.3 с корицей. Дрова поставились без проблем. Но вот качество воспроизведения видео (а тем более онлайн 720р), мягко говоря, не ахти. Такое впечатление, что картинка прогружается сегментами, тормозит. Даже на прожорливой Вин 10 видео воспроизводилось "без сучка и задоринки". Может я чего не заметил или не знал, возможно требуется доп настройка\установка пакетов. Прошу помощи. Уж больно не хочется прыгать по дистрибутивам, а один поставить, настроить и пользоваться спокойно и долго. Спасибо.


Pintus
Сообщения: 2
Зарегистрирован: 10 мар 2018, 11:55

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Pintus » 11 мар 2018, 20:15

Здравствуйте! На только что установленной системе Linux Mint 18.3 x64 (видеокарта ATI Radeon HD4330) попробовал установить видеодрайвер от производителя, что привело к падению разрешения экрана. В ходе поисков наткнулся на эту тему, проделал манипуляции для ядра версии 4.14 (стоит 4.13.0-36-generic). После перезагрузки Cinnamon не смог загрузиться (сейчас стоит Xfce, но это роли не играет). работа графики восстановилась с помощью создания нового xorg.conf по мануалу http://wikiadmin.net/%D0%9A%D0%B0%D0%BA ... B2_Ubuntu/
Но разрешение экрана по-прежнему низкое.
System: Host: uzer-CX600 Kernel: 4.13.0-36-generic x86_64 (64 bit gcc: 5.4.0)
Desktop: Xfce 4.12.3 (Gtk 2.24.28) Distro: Linux Mint 18.3 Sylvia
Machine: System: Micro-Star product: CX600 v: Ver 1.000
Mobo: MICRO-STAR INT'L model: MS-1682 v: Ver 1.000
Bios: American Megatrends v: A1682SMS V1.0O date: 08/19/2010
CPU: Dual core Intel Core2 Duo T6600 (-MCP-) cache: 2048 KB
flags: (lm nx sse sse2 sse3 sse4_1 ssse3) bmips: 8800
clock speeds: max: 2200 MHz 1: 1600 MHz 2: 1600 MHz
Graphics: Card: Advanced Micro Devices [AMD/ATI] RV710/M92 [Mobility Radeon HD 4330/4350/4550]
bus-ID: 01:00.0
Display Server: X.Org 1.18.4 drivers: fbdev,ati (unloaded: vesa,radeon)
Resolution: 1024x768@76.00hz
GLX Renderer: N/A GLX Version: N/A Direct Rendering: N/A
Audio: Card Silicon Integrated Systems [SiS] Azalia Audio Controller
driver: snd_hda_intel bus-ID: 00:0f.0
Sound: Advanced Linux Sound Architecture v: k4.13.0-36-generic
Network: Card-1: Silicon Integrated Systems [SiS] 191 Gigabit Ethernet Adapter
driver: sis190 v: 1.4 port: dc00 bus-ID: 00:04.0
IF: enp0s4 state: down mac: <filter>
Card-2: Ralink RT3090 Wireless 802.11n 1T/1R PCIe
driver: rt2800pci v: 2.3.0 bus-ID: 02:00.0
IF: wlp2s0 state: up mac: <filter>
Drives: HDD Total Size: 500.1GB (3.3% used)
ID-1: /dev/sda model: WDC_WD5000LPLX size: 500.1GB
Partition: ID-1: / size: 93G used: 15G (17%) fs: ext4 dev: /dev/sda6
ID-2: swap-1 size: 1.02GB used: 0.00GB (0%) fs: swap dev: /dev/sda4
RAID: No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors: System Temperatures: cpu: 66.0C mobo: N/A
Fan Speeds (in rpm): cpu: N/A
Info: Processes: 181 Uptime: 47 min Memory: 2516.7/3945.0MB
Init: systemd runlevel: 5 Gcc sys: 5.4.1
Client: Shell (bash 4.3.481) inxi: 2.2.35
При попытке запустить:
aticonfig
Выдаёт:
Unable to open /etc/ati/control, please reinstall the driver.
aticonfig: No supported adapters detected

Подскажите, куда двигаться в решении проблемы?

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 8005
Зарегистрирован: 27 авг 2016, 19:57
Решено: 172
Откуда: НН
Благодарил (а): 537 раз
Поблагодарили: 2156 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 11 мар 2018, 20:19

Pintus писал(а):
11 мар 2018, 20:15
видеокарта ATI Radeon HD4330
дохлый номер, в первом посте указаны поддерживаемые модели видеокарт.
5000+ :sry:
Изображение
   
Изображение


Pintus
Сообщения: 2
Зарегистрирован: 10 мар 2018, 11:55

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Pintus » 11 мар 2018, 20:36

Chocobo, есть ли (не очень сложный) способ обратить все изменения, проведённые в ходе экспериментов с видеодрайвером? Попытка запустить установочный пакет (.run-скрипт) проприентарного драйвера с ключом --uninstall не удалась - "ключ не поддерживается".

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 8005
Зарегистрирован: 27 авг 2016, 19:57
Решено: 172
Откуда: НН
Благодарил (а): 537 раз
Поблагодарили: 2156 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 11 мар 2018, 20:47

Pintus, если действовал по этому мануалу, то достаточно все откатить в обратной последовательности
Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X (Пост global_silence #42336)
Изображение
   
Изображение

Вернуться в «Видеокарты»